Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.event
Interface HDFParsingListener

    public interface HDFParsingListener

Method Summary
`void` | `characterRun(CharacterProperties chp, java.lang.String text, int start, int end)`
`void` | `document(DocumentProperties dop)`
`void` | `footer(int sectionIndex, int type)`
`void` | `header(int sectionIndex, int type)`
`void` | `listEntry(java.lang.String bulletText, CharacterProperties bulletProperties, ParagraphProperties pap, int start, int end)`
`void` | `paragraph(ParagraphProperties pap, int start, int end)`
`void` | `paragraphInTableRow(ParagraphProperties pap, int start, int end)`
`void` | `section(SectionProperties sep, int start, int end)`
`void` | `tableRowEnd(TableProperties tap, int start, int end)`

Method Detail

### document

    void document(DocumentProperties dop)

### section

    void section(SectionProperties sep,
                 int start,
                 int end)

### paragraph

    void paragraph(ParagraphProperties pap,
                   int start,
                   int end)

### listEntry

    void listEntry(java.lang.String bulletText,
                   CharacterProperties bulletProperties,
                   ParagraphProperties pap,
                   int start,
                   int end)

### paragraphInTableRow

    void paragraphInTableRow(ParagraphProperties pap,
                             int start,
                             int end)

### characterRun

    void characterRun(CharacterProperties chp,
                      java.lang.String text,
                      int start,
                      int end)

### tableRowEnd

    void tableRowEnd(TableProperties tap,
                     int start,
                     int end)

### header

    void header(int sectionIndex,
                int type)

### footer

    void footer(int sectionIndex,
                int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD